The Apache Haus Forum

Advanced search  

News:

Welcome to Apache Haus Distribution Forum

Pages: 1 [2] 3 4 5   Go Down

Author Topic: SubVersion modules for x64  (Read 52451 times)

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 575
Re: SubVersion modules for x64
« Reply #15 on: September 06, 2010, 05:00:29 PM »

Ok build is done  :)

With this x86 package I made only the load test and some commits.

dev.mariobrandt.de/mod_svn_x86.zip

I guess I have to write a readme.1st.txt for both (x86 and x64) if not another one do it... when done I will put it on the mirrors, since the x64 version works now since a week under usage.
Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 575
Re: SubVersion modules for x64
« Reply #16 on: October 04, 2010, 11:32:03 AM »

Mod svn is now as 32bit and 64bit on the download page.
Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 575
Re: SubVersion modules for x64
« Reply #17 on: October 27, 2010, 05:30:00 PM »

Today I built 1.6.13

Gonna test it and than up it to the download area
Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 575
Re: SubVersion modules for x64
« Reply #18 on: November 02, 2010, 10:17:42 AM »

All tests went fine. There is it on the download page
Logged

kmradke

  • Newbie
  • *
  • Offline Offline
  • Posts: 27
Re: SubVersion modules for x64
« Reply #19 on: December 18, 2010, 03:35:23 PM »

In both the 32-bit and 64-bit versions, I am unable to run the included svn.exe and svnsync.exe.  They complain about missing ordinal 132 in ssleay32.dll.  I tried updating to the openssl 1.0.0c stuff which does not appear to help.  svnadmin.exe, svnlook.exe, and svnversion.exe appear to run fine.  Am I doing anything wrong?  (I originally downloaded the non-sni apache version for each platform.)

The mod_dav_svn module itself appears to work great and I really appreciate it being built!
Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 575
Re: SubVersion modules for x64
« Reply #20 on: December 18, 2010, 07:03:50 PM »

I tested it today on a brand new installed XP without a problem (32bit version). it would be nice to have the error messages from the windows event log and a screenshot from that message if it is a popup.
Which OS do you run?
Logged

kmradke

  • Newbie
  • *
  • Offline Offline
  • Posts: 27
Re: SubVersion modules for x64
« Reply #21 on: December 18, 2010, 07:27:42 PM »

I tested it today on a brand new installed XP without a problem (32bit version). it would be nice to have the error messages from the windows event log and a screenshot from that message if it is a popup.
Which OS do you run?

Tried on both Win XP (32-bit) and Win 7 (64-bit).  The windows popup says: "The ordinal 132 could not be located in the dynamic link library SSLEAY32.dll."
(not sure how to attach a screen shot)  Nothing in the windows event log that I could find.

Do you have any other ssleay32.dll files on your system path that svn.exe may be picking up before the one from the apache bin directory?

Using depends.exe from http://www.dependencywalker.com/ I show that the ssleay32.dll file included with the apachehaus zip file is indeed missing ordinal 132 so it would appear that svn.exe is linked against a different ssleay32.dll than the one shipped with apachehaus.
Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 575
Re: SubVersion modules for x64
« Reply #22 on: December 18, 2010, 07:52:12 PM »

On my Windows 2008 R2 I'm able to reproduce that error. I gonna try out how to solve that.
Logged

kmradke

  • Newbie
  • *
  • Offline Offline
  • Posts: 27
Re: SubVersion modules for x64
« Reply #23 on: December 18, 2010, 07:55:02 PM »

On my Windows 2008 R2 I'm able to reproduce that error. I gonna try out how to solve that.

When you build subversion, are you specifying the same openssl libraries used to build apache, or some other ones?  (I don't remember if recent svn versions include a deps zip file, but those dependencies are usually out of date, and in this case are probably including openssl 0.9.8 ).
Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 575
Re: SubVersion modules for x64
« Reply #24 on: December 18, 2010, 08:53:15 PM »

You are right it was compiled against 0.9.8q.
However building against OpenSSL 1.0.0c make trouble creating libsvn_ra.dll due a incompability in neon. I gonna try the newest version from neon if that works.
Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 575
Re: SubVersion modules for x64
« Reply #25 on: December 18, 2010, 09:35:09 PM »

I made a test update for 32 bit. Let me know if that works for you

dev.mariobrandt.de/mod_svn-1.6.15-x86r2.zip


---- edit ----

Note: doesn't compile with IPv6 apache :-/ But it runs with it ;-)

Logged

kmradke

  • Newbie
  • *
  • Offline Offline
  • Posts: 27
Re: SubVersion modules for x64
« Reply #26 on: December 18, 2010, 11:44:58 PM »

I made a test update for 32 bit. Let me know if that works for you

dev.mariobrandt.de/mod_svn-1.6.15-x86r2.zip

---- edit ----
Note: doesn't compile with IPv6 apache :-/ But it runs with it ;-)

Yes, that makes svn.exe work with the apache ssleay32.dll.
(I suspect it doesn't affect the mod_dav_svn.so much if any, since it was already working and it doesn't use neon for network access.)
Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 575
Re: SubVersion modules for x64
« Reply #27 on: December 20, 2010, 02:23:21 PM »

I would be be pleased if you could also test the x64 build

dev.mariobrandt.de/mod_svn-1.6.15-x64r2.zip

Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 575
Re: SubVersion modules for x64
« Reply #28 on: December 20, 2010, 10:32:00 PM »

I added the second release from mod subversion to the download page. Updated to OpenSSL 1.0.0c and neon 0.29.5
Logged

kmradke

  • Newbie
  • *
  • Offline Offline
  • Posts: 27
Re: SubVersion modules for x64
« Reply #29 on: December 21, 2010, 05:51:37 AM »

I would be be pleased if you could also test the x64 build

dev.mariobrandt.de/mod_svn-1.6.15-x64r2.zip


64-bit version appears to work great!

Thanks!
Logged
Pages: 1 [2] 3 4 5   Go Up
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13